[PVFS2-CVS] commit by robl in pvfs2-1/test/automated: testscrpt.sh
CVS commit program
cvs at parl.clemson.edu
Tue Jun 21 18:55:23 EDT 2005
Update of /projects/cvsroot/pvfs2-1/test/automated
In directory parlweb:/tmp/cvs-serv3718
Modified Files:
testscrpt.sh
Log Message:
fix up some paths for our new location
Index: testscrpt.sh
===================================================================
RCS file: /projects/cvsroot/pvfs2-1/test/automated/testscrpt.sh,v
diff -u -w -p -u -r1.1 -r1.2
--- testscrpt.sh 21 Jun 2005 21:38:00 -0000 1.1
+++ testscrpt.sh 21 Jun 2005 21:55:23 -0000 1.2
@@ -15,7 +15,7 @@ PVFS2_DEST=/tmp/pvfs2-nightly
PVFS2_MOUNTPOINT=/pvfs2
TESTS=${HOME}/src/benchmarks
STARTTIME=`date +%s`
-TINDERSCRIPT=${HOME}/tinder-pvfs2-status
+TINDERSCRIPT=`dirname $0`/tinder-pvfs2-status
TESTNAME="`hostname -s`-nightly"
@@ -113,15 +113,16 @@ test_failure() {
test_bonnie() {
pushd .
- cd ${HOME}/src/benchmarks/bonnie++-1.03a
+ cd ${TESTS}/bonnie++-1.03a
./configure -q && make && cd ${PVFS2_MOUNTPOINT} || return 1
- ${HOME}/src/benchmarks/bonnie++-1.03a/bonnie++ -n 1:0:0 -s :$((1024*128))
+ cd ${PVFS2_MOUNTPOINT} && \
+ ${TESTS}/bonnie++-1.03a/bonnie++ -n 1:0:0 -s :$((1024*128))
popd
}
test_iozone() {
pushd .
- cd ${HOME}/src/benchmarks/iozone3_239/src/current || return 1
+ cd ${TESTS}/iozone3_239/src/current || return 1
make linux || return 1
# -y min record size
# -q max record size
More information about the PVFS2-CVS
mailing list